Bug 748312 - (ghc-cryptohash) Review Request: ghc-cryptohash - Haskell crypto hashes
Review Request: ghc-cryptohash - Haskell crypto hashes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751722
  Show dependency treegraph
 
Reported: 2011-10-24 01:11 EDT by Jens Petersen
Modified: 2011-11-10 12:45 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-cryptohash-0.7.4-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-04 21:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-10-24 01:11:28 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-cryptohash/ghc-cryptohash.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-cryptohash/ghc-cryptohash-0.7.4-1.fc15.src.rpm
Description: 
A collection of crypto hashes, with a practical incremental and one-pass,
pure APIs, with performance close to the fastest implementations available
in others languages.  The implementations are made in C with
a Haskell FFI wrapper that hide the C implementation.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3454384
Comment 1 Jens Petersen 2011-10-24 01:20:13 EDT
This is needed by hakyll and tls (authenticate).

http://packdeps.haskellers.com/reverse/cryptohash
Comment 2 Narasimhan 2011-10-25 21:09:35 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-cryptohash-0.7.4-1.fc16.src.rpm ghc-cryptohash-0.7.4-1.fc16.x86_64.rpm ghc-cryptohash-devel-0.7.4-1.fc16.x86_64.rpm  ../ghc-cryptohash.spec 
ghc-cryptohash.src: W: spelling-error Summary(en_US) Crypto -> Crypt, Crypts, Crypt o
The value of this tag appears to be misspelled. Please double-check.

ghc-cryptohash.src: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
The value of this tag appears to be misspelled. Please double-check.

ghc-cryptohash.x86_64: W: spelling-error Summary(en_US) Crypto -> Crypt, Crypts, Crypt o
The value of this tag appears to be misspelled. Please double-check.

ghc-cryptohash.x86_64: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
The value of this tag appears to be misspelled. Please double-check.

ghc-cryptohash-devel.x86_64: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 5 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, BSD no advertising 3 clause
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause no advertising.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-cryptohash-0.7.4-1.fc15.src/cryptohash-0.7.4.tar.gz 
1e04eeee911c7d89f0f76633baa1cb40  ghc-cryptohash-0.7.4-1.fc15.src/cryptohash-0.7.4.tar.gz

md5sum cryptohash-0.7.4.tar.gz 
1e04eeee911c7d89f0f76633baa1cb40  cryptohash-0.7.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Loaded Crypto.Hash.Tiger  into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.
[+]SHOULD : If source files do not have license mentioned, the packager SHOULD query upstream.
License information is included in source files.

cabal2spec-diff is OK.

APPROVED
Comment 3 Jens Petersen 2011-10-25 23:53:22 EDT
Thank you for the review. :)


New Package SCM Request
=======================
Package Name: ghc-cryptohash
Short Description: Haskell crypto hashes
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-10-26 07:56:13 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-10-26 10:53:29 EDT
ghc-cryptohash-0.7.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-cryptohash-0.7.4-1.fc15
Comment 6 Fedora Update System 2011-10-26 10:53:39 EDT
ghc-cryptohash-0.7.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-cryptohash-0.7.4-1.fc14
Comment 7 Fedora Update System 2011-10-26 10:53:46 EDT
ghc-cryptohash-0.7.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-cryptohash-0.7.4-1.fc16
Comment 8 Fedora Update System 2011-10-26 15:04:46 EDT
ghc-cryptohash-0.7.4-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2011-11-04 21:35:59 EDT
ghc-cryptohash-0.7.4-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2011-11-10 12:24:02 EST
ghc-cryptohash-0.7.4-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 11 Fedora Update System 2011-11-10 12:45:09 EST
ghc-cryptohash-0.7.4-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.